import styles from '../styles/CodeBlock.module.css';

export default function CodeBlock (props) {
    return (
        <div className={styles.CodeBlock} style={props.quote ? {paddingTop: '0px', paddingLeft:'0px'} : {}}>
            {props.quote ? (<div><div className={styles.Author}><div className={`${styles.ownRainbow} ${styles.rainbowBackground}`}><span style={{zIndex:'10', color:'black', opacity:'1', display:'block'}}>{props.author} says:</span></div></div><i className='fas fa-quote-right'/></div>) : null}
            <div style={props.quote ? {paddingLeft:'10px', paddingTop: '5px'} : {}}>{props.children}</div>
        </div>
    )
}