import Navbar from "../components/navbar";
import styles from '../styles/Articles.module.css';
import Link from "next/link";

export default function Articles() {
    return (
        <>
            <title>TheRed.SH / Articles</title>
            <Navbar />
            <span className={styles.TopText}>Latest (This is a very new part of the website, no proper automation has been implemented, all articles are written manually ^*^)</span>
            <div className={styles.Articles}>
                <div className={styles.ArticleBox}>
                <Link href="/articles/formulating_my_thoughts"><a className={styles.LinkText}>Formulating my thoughts.</a></Link><div className={styles.Time}>Published on 2022/Mar/07</div><br/>
                <Link href="/articles/beta_2_alpha_1"><a className={styles.LinkText}>Beta 2 Alpha 1!</a></Link><div className={styles.Time}>Published on 2022/Feb/17</div><br/>
                <Link href="/articles/clearing_up_my_position_in_the_attack"><a className={styles.LinkText}>Clearing up my position in the attack.</a></Link><div className={styles.Time}>Published on 2022/Feb/16</div><br/>
                <Link href="/articles/cummies_reply_to_update"><a className={styles.LinkText}>Reply of Cummies to "An update on my situation"</a></Link><div className={styles.Time}>Published on 2022/Feb/16</div><br/>
                <Link href="/articles/new_updates_to_thered_sh"><a className={styles.LinkText}>New updates to TheRed.SH!</a></Link><div className={styles.Time}>Published on 2022/Feb/15</div><br/>
                <Link href="/articles/an_update_on_my_situation"><a className={styles.LinkText}>An update on my situation</a></Link><div className={styles.Time}>Published on 2022/Feb/15</div>
                </div>
            </div>
        </>
    )
}